Property setup
curl --request GET \
--url https://api.sortx.co.uk/properties/{id}/setup \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/properties/{id}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/properties/{id}/setup"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"propertyId": "<string>",
"revision": 123,
"addresses": [
{
"id": "<string>",
"purpose": "contractor_access",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"note": "<string>"
}
],
"accessSameAsPostal": true,
"parties": [
{
"id": "<string>",
"role": "co_owner",
"contactId": "<string>",
"interest": "freehold",
"shareBps": 123,
"fromOn": "<string>",
"speaksForContactId": "<string>",
"note": "<string>"
}
],
"responsibilities": [
{
"part": "inside",
"responsible": "landlord",
"instructs": "agency",
"pays": "landlord"
}
],
"recorded": true,
"leasehold": true,
"landlordContactId": "<string>",
"block": {
"id": "<string>",
"name": "<string>",
"freeholderContactId": "<string>",
"managingAgentContactId": "<string>"
},
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}properties
Property setup
A property’s set-up: its addresses, owners and who repairs what
GET
/
properties
/
{id}
/
setup
Property setup
curl --request GET \
--url https://api.sortx.co.uk/properties/{id}/setup \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/properties/{id}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/properties/{id}/setup"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"propertyId": "<string>",
"revision": 123,
"addresses": [
{
"id": "<string>",
"purpose": "contractor_access",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"note": "<string>"
}
],
"accessSameAsPostal": true,
"parties": [
{
"id": "<string>",
"role": "co_owner",
"contactId": "<string>",
"interest": "freehold",
"shareBps": 123,
"fromOn": "<string>",
"speaksForContactId": "<string>",
"note": "<string>"
}
],
"responsibilities": [
{
"part": "inside",
"responsible": "landlord",
"instructs": "agency",
"pays": "landlord"
}
],
"recorded": true,
"leasehold": true,
"landlordContactId": "<string>",
"block": {
"id": "<string>",
"name": "<string>",
"freeholderContactId": "<string>",
"managingAgentContactId": "<string>"
},
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes